跳到內容

為嘉賓(沒有 Vimine 帳戶)報名活動,僅限公開活動——伺服器端

POST
/v1/events/{slug}/registrations/guest
curl --request POST \
--url https://api.vimine.network/v1/events/example/registrations/guest \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "email": "hello@example.com", "first_name": "example", "last_name": "example", "registration_type": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "note": "example", "locale": "example" }'

適用於公開活動,以及不要求會員資格的報名類型。名額會保留到當事人透過收到的連結確認其電子郵件地址為止(24 小時);之後,免費類型即確認,需付參與費的類型則等待參與費。無論是什麼地址,都統一傳回 202(無法藉此探測地址);報名資格和驗證問題傳回 422。僅限用戶端權杖(registrations:write);接受 Idempotency-Key。非會員繳納的參與費屬於經營性收入(D-L2)。

slug
必填
string
媒體類型application/json
object
email
必填
string 格式: email
first_name
必填
string
<= 50 個字元
last_name
必填
string
<= 50 個字元
registration_type
必填
string 格式: uuid
note
string
可為 null <= 2000 個字元
locale

辦理報名時所用的語言(it、en):即發給嘉賓的郵件所用的語言,也是從未選擇語言之會員的備用語言。預設為 Accept-Language

string
可為 null
範例自動產生
{
"email": "hello@example.com",
"first_name": "example",
"last_name": "example",
"registration_type": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"note": "example",
"locale": "example"
}

已受理

媒體類型application/json
object
status
必填
string
允許的值: accepted
範例
{
"status": "accepted"
}

請求無效

媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

缺少憑證或憑證無效

媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

不允許此操作

媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

找不到

媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

驗證失敗、類型未知,或不具備報名資格(reasons:活動或類型僅限會員時為 membership_required、sold_out…)

超出速率限制

媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

內部錯誤

媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}